$schema: "http://json-schema.org/draft-06/schema#"

title: datastream v1 ForwardSshTunnelConnectivity export schema
description: A gcloud export/import command YAML validation schema.
type: object
required:
- hostname
- username
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  hostname:
    description: Hostname for the SSH tunnel.
    type: string
  password:
    description: Input only. SSH password.
    type: string
  port:
    description: Port for the SSH tunnel, default value is 22.
    type: integer
  privateKey:
    description: Input only. SSH private key.
    type: string
  username:
    description: Username for the SSH tunnel.
    type: string
